Index: src/edu/ucsb/nceas/metacat/dataone/MNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6258)
+++ src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6259)
@@ -84,7 +84,7 @@
 public class MNodeService extends D1NodeService implements MNAuthorization,
   MNCore, MNRead, MNReplication, MNStorage {
 
-	/* the instance of the MNodeService object */
+  /* the instance of the MNodeService object */
   private static MNodeService instance = null;
   
   /* the logger instance */
@@ -109,29 +109,29 @@
    * Constructor, private for singleton access
    */
   private MNodeService() {
-  	super();
+    super();
     logMetacat = Logger.getLogger(MNodeService.class);
         
   }
     
-	/**
-	 * Deletes an object from the Member Node, where the object is either a 
-	 * data object or a science metadata object.
-	 * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param pid - The object identifier to be deleted
-	 * 
-	 * @return pid - the identifier of the object used for the deletion
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws NotFound
-	 * @throws NotImplemented
-	 * @throws InvalidRequest
-	 */
+  /**
+   * Deletes an object from the Member Node, where the object is either a 
+   * data object or a science metadata object.
+   * 
+   * @param session - the Session object containing the credentials for the Subject
+   * @param pid - The object identifier to be deleted
+   * 
+   * @return pid - the identifier of the object used for the deletion
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws NotFound
+   * @throws NotImplemented
+   * @throws InvalidRequest
+   */
   @Override
-	public Identifier delete(Session session, Identifier pid) 
+  public Identifier delete(Session session, Identifier pid) 
     throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
     NotImplemented, InvalidRequest {
 
@@ -145,8 +145,8 @@
     // put the group names into a string array
     if( session != null ) {
       for ( int i = 0; i > groupList.size(); i++ ) {
-      	groups[i] = groupList.get(i).getGroupName();
-      	
+        groups[i] = groupList.get(i).getGroupName();
+        
       }
     }
 
@@ -166,11 +166,11 @@
 
     // check for the existing identifier
     try {
-	    localId = im.getLocalId(pid.getValue());
+      localId = im.getLocalId(pid.getValue());
     
     } catch (McdbDocNotFoundException e) {
       throw new InvalidRequest("1322", "The object with the provided " +
-      	"identifier was not found.");
+        "identifier was not found.");
 
     }
     
@@ -180,7 +180,7 @@
     if ( allowed ) {
       try {
         // delete the document
-      	DocumentImpl.delete(localId, subject.getValue(), groups, null);
+        DocumentImpl.delete(localId, subject.getValue(), groups, null);
         EventLog.getInstance().log(metacatUrl, subject.getValue(), localId, "delete");
 
       } catch (McdbDocNotFoundException e) {
@@ -188,7 +188,7 @@
 
       } catch (SQLException e) {
         throw new ServiceFailure("1350", "There was a problem deleting the object." +
-        	"The error message was: " + e.getMessage());
+          "The error message was: " + e.getMessage());
 
       } catch (InsufficientKarmaException e) {
         throw new NotAuthorized("1320", "The provided identity does not have " +
@@ -196,7 +196,7 @@
  
       } catch (Exception e) { // for some reason DocumentImpl throws a general Exception
         throw new ServiceFailure("1350", "There was a problem deleting the object." +
-          	"The error message was: " + e.getMessage());
+            "The error message was: " + e.getMessage());
 
       }
 
@@ -203,11 +203,11 @@
     } else {
       throw new NotAuthorized("1320", "The provided identity does not have " +
       "permission to DELETE objects on the Member Node.");
-    	
+      
     }
     
-		return pid;
-	}
+    return pid;
+  }
 
 
   /**
@@ -216,142 +216,142 @@
    * identified by pid through appropriate changes to the SystemMetadata 
    * of pid and newPid
    * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param pid - The identifier of the object to be updated
-	 * @param object - the new object bytes
-	 * @param sysmeta - the new system metadata describing the object
-	 * 
-	 * @return newPid - the identifier of the new object
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws NotFound
-	 * @throws NotImplemented
-	 * @throws IdentifierNotUnique
-	 * @throws UnsupportedType
-	 * @throws InsufficientResources
-	 * @throws InvalidSystemMetadata
-	 * @throws InvalidRequest
+   * @param session - the Session object containing the credentials for the Subject
+   * @param pid - The identifier of the object to be updated
+   * @param object - the new object bytes
+   * @param sysmeta - the new system metadata describing the object
+   * 
+   * @return newPid - the identifier of the new object
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws NotFound
+   * @throws NotImplemented
+   * @throws IdentifierNotUnique
+   * @throws UnsupportedType
+   * @throws InsufficientResources
+   * @throws InvalidSystemMetadata
+   * @throws InvalidRequest
    */
   @Override
-	public Identifier update(Session session, Identifier pid, InputStream object,
-	  Identifier newPid, SystemMetadata sysmeta) 
+  public Identifier update(Session session, Identifier pid, InputStream object,
+    Identifier newPid, SystemMetadata sysmeta) 
     throws InvalidToken, ServiceFailure, NotAuthorized, IdentifierNotUnique, 
     UnsupportedType, InsufficientResources, NotFound, InvalidSystemMetadata, 
     NotImplemented, InvalidRequest {
 
-  	String localId = null;
-  	boolean allowed = false;
-  	boolean isScienceMetadata = false;
-  	Subject subject = session.getSubject();
-  	List<Group> groupList = session.getSubjectList().getGroupList();
-  	String[] groups = new String[groupList.size()];
-  	IdentifierManager im = IdentifierManager.getInstance();
+    String localId = null;
+    boolean allowed = false;
+    boolean isScienceMetadata = false;
+    Subject subject = session.getSubject();
+    List<Group> groupList = session.getSubjectList().getGroupList();
+    String[] groups = new String[groupList.size()];
+    IdentifierManager im = IdentifierManager.getInstance();
 
-  	// put the group names into a string array
-  	if( session != null ) {
-  	  for ( int i = 0; i > groupList.size(); i++ ) {
-  	  	groups[i] = groupList.get(i).getGroupName();
-  	  	
-  	  }
-  	}
+    // put the group names into a string array
+    if( session != null ) {
+      for ( int i = 0; i > groupList.size(); i++ ) {
+        groups[i] = groupList.get(i).getGroupName();
+        
+      }
+    }
 
-  	// be sure the user is authenticated for update()
-  	if (subject.getValue() == null || 
-  	    subject.getValue().toLowerCase().equals("public") ) {
-  	  throw new NotAuthorized("1200", "The provided identity does not have " +
-  	    "permission to UPDATE objects on the Member Node.");
-  	  
-  	}
+    // be sure the user is authenticated for update()
+    if (subject.getValue() == null || 
+        subject.getValue().toLowerCase().equals("public") ) {
+      throw new NotAuthorized("1200", "The provided identity does not have " +
+        "permission to UPDATE objects on the Member Node.");
+      
+    }
 
-  	// do we have a valid pid?
-  	if ( pid == null || pid.getValue().trim().equals("") ) {
-  	  throw new InvalidRequest("1202", "The provided identifier was invalid.");
+    // do we have a valid pid?
+    if ( pid == null || pid.getValue().trim().equals("") ) {
+      throw new InvalidRequest("1202", "The provided identifier was invalid.");
 
-  	}
+    }
 
-  	// check for the existing identifier
-  	try {
-  	  localId = im.getLocalId(pid.getValue());
+    // check for the existing identifier
+    try {
+      localId = im.getLocalId(pid.getValue());
 
-  	} catch (McdbDocNotFoundException e) {
-  	  throw new InvalidRequest("1202", "The object with the provided " +
-  	  	"identifier was not found.");
+    } catch (McdbDocNotFoundException e) {
+      throw new InvalidRequest("1202", "The object with the provided " +
+        "identifier was not found.");
 
-  	}
+    }
 
-  	// does the subject have WRITE ( == update) priveleges on the pid?
-  	allowed = isAuthorized(session, pid, Permission.WRITE);
+    // does the subject have WRITE ( == update) priveleges on the pid?
+    allowed = isAuthorized(session, pid, Permission.WRITE);
 
-  	if ( allowed ) {
-  		
-  		// get the existing system metadata for the object
-  		SystemMetadata existingSysMeta = getSystemMetadata(session, pid);
-  		
-  		// add the obsoleted pid to the obsoletedBy list
-  		List<Identifier> obsoletedList = existingSysMeta.getObsoletedByList();
-  		obsoletedList.add(pid);
-  		existingSysMeta.setObsoletedByList(obsoletedList);
-  		
-  		// then update the existing system metadata
-  		updateSystemMetadata(existingSysMeta);
-  		
-  		// prep the new system metadata, add pid to the obsoletes list
-  		sysmeta.addObsolete(pid);
-  		
-  		// and insert the new system metadata
-  		insertSystemMetadata(sysmeta);
-  		
-  		isScienceMetadata = isScienceMetadata(sysmeta);
-  		
-  		// do we have XML metadata or a data object?
-  		if ( isScienceMetadata ) {
-  			
-  			// update the science metadata XML document
-  			// TODO: handle non-XML metadata/data documents (like netCDF)
-  			// TODO: don't put objects into memory using stream to string
-      	String objectAsXML = "";
-      	try {
-	        objectAsXML = IOUtils.toString(object, "UTF-8");
-	  			localId = insertOrUpdateDocument(objectAsXML, newPid, session, "update");
-	  			// register the newPid and the generated localId
-      	  if ( newPid != null ) {
-      	  	im.createMapping(newPid.getValue(), localId);
-      	  	
-      	  }
-      	  
-      	} catch (IOException e) {
-        	String msg = "The Node is unable to create the object. " +
+    if ( allowed ) {
+      
+      // get the existing system metadata for the object
+      SystemMetadata existingSysMeta = getSystemMetadata(session, pid);
+      
+      // add the obsoleted pid to the obsoletedBy list
+      List<Identifier> obsoletedList = existingSysMeta.getObsoletedByList();
+      obsoletedList.add(pid);
+      existingSysMeta.setObsoletedByList(obsoletedList);
+      
+      // then update the existing system metadata
+      updateSystemMetadata(existingSysMeta);
+      
+      // prep the new system metadata, add pid to the obsoletes list
+      sysmeta.addObsolete(pid);
+      
+      // and insert the new system metadata
+      insertSystemMetadata(sysmeta);
+      
+      isScienceMetadata = isScienceMetadata(sysmeta);
+      
+      // do we have XML metadata or a data object?
+      if ( isScienceMetadata ) {
+        
+        // update the science metadata XML document
+        // TODO: handle non-XML metadata/data documents (like netCDF)
+        // TODO: don't put objects into memory using stream to string
+        String objectAsXML = "";
+        try {
+          objectAsXML = IOUtils.toString(object, "UTF-8");
+          localId = insertOrUpdateDocument(objectAsXML, newPid, session, "update");
+          // register the newPid and the generated localId
+          if ( newPid != null ) {
+            im.createMapping(newPid.getValue(), localId);
+            
+          }
+          
+        } catch (IOException e) {
+          String msg = "The Node is unable to create the object. " +
           "There was a problem converting the object to XML";
-        	logMetacat.info(msg);
+          logMetacat.info(msg);
           throw new ServiceFailure("1310", msg + ": " + e.getMessage());
-      	
-      	}
-  			
-  		} else {
-  			
-  			// update the data object
-  			localId = insertDataObject(object, newPid, session);
-  			// register the newPid and the generated localId
-    	  if ( newPid != null ) {
-    	  	im.createMapping(newPid.getValue(), localId);
-    	  	
-    	  }
- 			
-  		}
-  		// log the update event
+        
+        }
+        
+      } else {
+        
+        // update the data object
+        localId = insertDataObject(object, newPid, session);
+        // register the newPid and the generated localId
+        if ( newPid != null ) {
+          im.createMapping(newPid.getValue(), localId);
+          
+        }
+       
+      }
+      // log the update event
       EventLog.getInstance().log(metacatUrl, subject.getValue(), localId, "update");
 
-  	} else {
-  	  throw new NotAuthorized("1200", "The provided identity does not have " +
-  	  "permission to UPDATE the object identified by " +
-  	  pid.getValue() + " on the Member Node.");
-  		
-  	}
+    } else {
+      throw new NotAuthorized("1200", "The provided identity does not have " +
+      "permission to UPDATE the object identified by " +
+      pid.getValue() + " on the Member Node.");
+      
+    }
     
-		return pid;
-	}
+    return pid;
+  }
 
   /**
    * Called by a Coordinating Node to request that the Member Node create a 
@@ -359,29 +359,29 @@
    * Node and storing it locally so that it can be made accessible to 
    * the DataONE system.
    * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param sysmeta - Copy of the CN held system metadata for the object
-	 * @param sourceNode - A reference to node from which the content should be 
-	 *                     retrieved. The reference should be resolved by 
-	 *                     checking the CN node registry.
-	 * 
-	 * @return true if the replication succeeds
-	 * 
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws NotImplemented
-	 * @throws UnsupportedType
-	 * @throws InsufficientResources
-	 * @throws InvalidRequest
+   * @param session - the Session object containing the credentials for the Subject
+   * @param sysmeta - Copy of the CN held system metadata for the object
+   * @param sourceNode - A reference to node from which the content should be 
+   *                     retrieved. The reference should be resolved by 
+   *                     checking the CN node registry.
+   * 
+   * @return true if the replication succeeds
+   * 
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws NotImplemented
+   * @throws UnsupportedType
+   * @throws InsufficientResources
+   * @throws InvalidRequest
    */
   @Override
-	public boolean replicate(Session session, SystemMetadata sysmeta, 
-	  NodeReference sourceNode)
-	  throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest,
-	  InsufficientResources, UnsupportedType {
+  public boolean replicate(Session session, SystemMetadata sysmeta, 
+    NodeReference sourceNode)
+    throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest,
+    InsufficientResources, UnsupportedType {
 
-		return false;
-	}
+    return false;
+  }
 
   /**
    * This method provides a lighter weight mechanism than 
@@ -388,25 +388,25 @@
    * MN_read.getSystemMetadata() for a client to determine basic 
    * properties of the referenced object.
    * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param pid - the identifier of the object to be described
-	 * 
-	 * @return describeResponse - A set of values providing a basic description 
-	 *                            of the object.
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws NotFound
-	 * @throws NotImplemented
-	 * @throws InvalidRequest
+   * @param session - the Session object containing the credentials for the Subject
+   * @param pid - the identifier of the object to be described
+   * 
+   * @return describeResponse - A set of values providing a basic description 
+   *                            of the object.
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws NotFound
+   * @throws NotImplemented
+   * @throws InvalidRequest
    */
   @Override
-	public DescribeResponse describe(Session session, Identifier pid)
-	  throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
-	  NotImplemented, InvalidRequest {
+  public DescribeResponse describe(Session session, Identifier pid)
+    throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
+    NotImplemented, InvalidRequest {
     
-  	if(session == null) {
+    if(session == null) {
       throw new InvalidToken("1370", "The session object is null");
       
     }
@@ -420,67 +420,67 @@
     
     SystemMetadata sysmeta = getSystemMetadata(session, pid);
     DescribeResponse describeResponse = 
-    	new DescribeResponse(sysmeta.getObjectFormat(), 
+      new DescribeResponse(sysmeta.getObjectFormat(), 
       sysmeta.getSize(), sysmeta.getDateSysMetadataModified(), sysmeta.getChecksum());
     
     return describeResponse;
 
-	}
+  }
 
-	/**
-	 * Return the object identified by the given object identifier
-	 * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param pid - the object identifier for the given object
-	 * 
-	 * @return inputStream - the input stream of the given object
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
-	 */
+  /**
+   * Return the object identified by the given object identifier
+   * 
+   * @param session - the Session object containing the credentials for the Subject
+   * @param pid - the object identifier for the given object
+   * 
+   * @return inputStream - the input stream of the given object
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws InvalidRequest
+   * @throws NotImplemented
+   */
   @Override
-	public InputStream get(Session session, Identifier pid) 
-	  throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
-	  NotImplemented, InvalidRequest {
-  	
-		return super.get(session, pid);
-		
-	}
+  public InputStream get(Session session, Identifier pid) 
+    throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
+    NotImplemented, InvalidRequest {
+    
+    return super.get(session, pid);
+    
+  }
 
-	/**
-	 * Returns a Checksum for the specified object using an accepted hashing algorithm
-	 * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param pid - the object identifier for the given object
-	 * @param algorithm -  the name of an algorithm that will be used to compute 
-	 *                     a checksum of the bytes of the object
-	 * 
-	 * @return checksum - the checksum of the given object
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws NotFound
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
-	 */
+  /**
+   * Returns a Checksum for the specified object using an accepted hashing algorithm
+   * 
+   * @param session - the Session object containing the credentials for the Subject
+   * @param pid - the object identifier for the given object
+   * @param algorithm -  the name of an algorithm that will be used to compute 
+   *                     a checksum of the bytes of the object
+   * 
+   * @return checksum - the checksum of the given object
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws NotFound
+   * @throws InvalidRequest
+   * @throws NotImplemented
+   */
   @Override
-	public Checksum getChecksum(Session session, Identifier pid, String algorithm)
-	  throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
-	  InvalidRequest, NotImplemented {
+  public Checksum getChecksum(Session session, Identifier pid, String algorithm)
+    throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
+    InvalidRequest, NotImplemented {
 
-  	Checksum checksum = null;
-  	
-  	InputStream inputStream = get(session, pid);
-  	
-  	try {
-	    checksum = 
-	    	ServiceTypeUtil.checksum(inputStream, ChecksumAlgorithm.convert(algorithm));
+    Checksum checksum = null;
     
-  	} catch (NoSuchAlgorithmException e) {
+    InputStream inputStream = get(session, pid);
+    
+    try {
+      checksum = 
+        ServiceTypeUtil.checksum(inputStream, ChecksumAlgorithm.convert(algorithm));
+    
+    } catch (NoSuchAlgorithmException e) {
       throw new ServiceFailure("1410", "The checksum for the object specified by " + 
         pid.getValue() +
         "could not be returned due to an internal error: " +
@@ -493,7 +493,7 @@
         e.getMessage());
       
     }
-  	
+    
     if ( checksum == null ) {
       throw new ServiceFailure("1410", "The checksum for the object specified by " + 
         pid.getValue() +
@@ -501,118 +501,118 @@
       
     }
     
-		return checksum;
-	}
+    return checksum;
+  }
 
-	/**
-	 * Return the system metadata for a given object
-	 * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param pid - the object identifier for the given object
-	 * 
-	 * @return inputStream - the input stream of the given system metadata object
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws NotFound
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
-	 */
+  /**
+   * Return the system metadata for a given object
+   * 
+   * @param session - the Session object containing the credentials for the Subject
+   * @param pid - the object identifier for the given object
+   * 
+   * @return inputStream - the input stream of the given system metadata object
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws NotFound
+   * @throws InvalidRequest
+   * @throws NotImplemented
+   */
   @Override
-	public SystemMetadata getSystemMetadata(Session session, Identifier pid)
-	    throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
-	    InvalidRequest, NotImplemented {
+  public SystemMetadata getSystemMetadata(Session session, Identifier pid)
+      throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
+      InvalidRequest, NotImplemented {
 
-		return super.getSystemMetadata(session, pid);
-	}
+    return super.getSystemMetadata(session, pid);
+  }
 
-	/**
-	 * Retrieve the list of objects present on the MN that match the calling parameters
-	 * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param startTime - Specifies the beginning of the time range from which 
-	 *                    to return object (>=)
-	 * @param endTime - Specifies the beginning of the time range from which 
-	 *                  to return object (>=)
-	 * @param objectFormat - Restrict results to the specified object format
-	 * @param replicaStatus - Indicates if replicated objects should be returned in the list
-	 * @param start - The zero-based index of the first value, relative to the 
-	 *                first record of the resultset that matches the parameters.
-	 * @param count - The maximum number of entries that should be returned in 
-	 *                the response. The Member Node may return less entries 
-	 *                than specified in this value.
-	 * 
-	 * @return objectList - the list of objects matching the criteria
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
-	 */
+  /**
+   * Retrieve the list of objects present on the MN that match the calling parameters
+   * 
+   * @param session - the Session object containing the credentials for the Subject
+   * @param startTime - Specifies the beginning of the time range from which 
+   *                    to return object (>=)
+   * @param endTime - Specifies the beginning of the time range from which 
+   *                  to return object (>=)
+   * @param objectFormat - Restrict results to the specified object format
+   * @param replicaStatus - Indicates if replicated objects should be returned in the list
+   * @param start - The zero-based index of the first value, relative to the 
+   *                first record of the resultset that matches the parameters.
+   * @param count - The maximum number of entries that should be returned in 
+   *                the response. The Member Node may return less entries 
+   *                than specified in this value.
+   * 
+   * @return objectList - the list of objects matching the criteria
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws InvalidRequest
+   * @throws NotImplemented
+   */
   @Override
-	public ObjectList listObjects(Session session, Date startTime, Date endTime,
-	  ObjectFormat objectFormat, Boolean replicaStatus, Integer start, Integer count)
-	  throws NotAuthorized, InvalidRequest, NotImplemented, ServiceFailure,
-	  InvalidToken {
+  public ObjectList listObjects(Session session, Date startTime, Date endTime,
+    ObjectFormat objectFormat, Boolean replicaStatus, Integer start, Integer count)
+    throws NotAuthorized, InvalidRequest, NotImplemented, ServiceFailure,
+    InvalidToken {
 
-  	ObjectList objectList = null;
-  	
-  	objectList = IdentifierManager.getInstance().querySystemMetadata(startTime, endTime,
+    ObjectList objectList = null;
+    
+    objectList = IdentifierManager.getInstance().querySystemMetadata(startTime, endTime,
         objectFormat, replicaStatus, start, count);
-  	
-  	if ( objectList == null ) {
-  		throw new ServiceFailure("1580", "The object list was null.");
-  	}
-  	
-		return objectList;
-	}
+    
+    if ( objectList == null ) {
+      throw new ServiceFailure("1580", "The object list was null.");
+    }
+    
+    return objectList;
+  }
 
-	/**
-	 * Retrieve the list of objects present on the MN that match the calling parameters
-	 * 
-	 * @return node - the technical capabilities of the Member Node
-	 * 
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
-	 */
+  /**
+   * Retrieve the list of objects present on the MN that match the calling parameters
+   * 
+   * @return node - the technical capabilities of the Member Node
+   * 
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws InvalidRequest
+   * @throws NotImplemented
+   */
   @Override
-	public Node getCapabilities() throws NotImplemented, NotAuthorized,
-	    ServiceFailure, InvalidRequest {
+  public Node getCapabilities() throws NotImplemented, NotAuthorized,
+      ServiceFailure, InvalidRequest {
 
-		return null;
-	}
+    return null;
+  }
 
-	/**
-	 * Returns the number of operations that have been serviced by the node 
-	 * over time periods of one and 24 hours.
-	 * 
-	 * @param session - the Session object containing the credentials for the Subject
-	 * @param period - An ISO8601 compatible DateTime range specifying the time 
-	 *                 range for which to return operation statistics.
-	 * @param requestor - Limit to operations performed by given requestor identity.
-	 * @param event -  Enumerated value indicating the type of event being examined
-	 * @param format - Limit to events involving objects of the specified format
-	 * 
-	 * @return the desired log records
-	 * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
-	 */
+  /**
+   * Returns the number of operations that have been serviced by the node 
+   * over time periods of one and 24 hours.
+   * 
+   * @param session - the Session object containing the credentials for the Subject
+   * @param period - An ISO8601 compatible DateTime range specifying the time 
+   *                 range for which to return operation statistics.
+   * @param requestor - Limit to operations performed by given requestor identity.
+   * @param event -  Enumerated value indicating the type of event being examined
+   * @param format - Limit to events involving objects of the specified format
+   * 
+   * @return the desired log records
+   * 
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws InvalidRequest
+   * @throws NotImplemented
+   */
   @Override
-	public MonitorList getOperationStatistics(Session session, Integer period,
-	  Subject requestor, Event event, ObjectFormat format) 
+  public MonitorList getOperationStatistics(Session session, Integer period,
+    Subject requestor, Event event, ObjectFormat format) 
     throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest, 
     InsufficientResources, UnsupportedType {
 
-		return null;
-	}
+    return null;
+  }
 
   /**
    * Low level “are you alive” operation. A valid ping response is 
@@ -620,19 +620,19 @@
    * 
    * @return true if the service is alive
    * 
-	 * @throws InvalidToken
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
+   * @throws InvalidToken
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws InvalidRequest
+   * @throws NotImplemented
    */
-	@Override
-	public boolean ping() 
-	  throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest, 
-	  InsufficientResources, UnsupportedType {
+  @Override
+  public boolean ping() 
+    throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest, 
+    InsufficientResources, UnsupportedType {
 
-		return true;
-	}
+    return true;
+  }
 
   /**
    * A callback method used by a CN to indicate to a MN that it cannot 
@@ -641,35 +641,35 @@
    * 
    * @param session
    * @param syncFailed
-	 * 
-	 * @throws ServiceFailure
-	 * @throws NotAuthorized
-	 * @throws InvalidRequest
-	 * @throws NotImplemented
+   * 
+   * @throws ServiceFailure
+   * @throws NotAuthorized
+   * @throws InvalidRequest
+   * @throws NotImplemented
    */
-	@Override
+  @Override
   public void synchronizationFailed(Session session, SynchronizationFailed syncFailed)
       throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest {
 
-		String localId;
-		
-		try {
-	    localId = IdentifierManager.getInstance().getLocalId(syncFailed.getPid().getValue());
+    String localId;
+    
+    try {
+      localId = IdentifierManager.getInstance().getLocalId(syncFailed.getPid().getValue());
     } catch (McdbDocNotFoundException e) {
       throw new ServiceFailure("2161", "The identifier specified by " +
-      		syncFailed.getPid().getValue() + 
-      		" was not found on this node.");
+          syncFailed.getPid().getValue() + 
+          " was not found on this node.");
       
     }
-		// TODO: update the CN URL below when the CNRead.SynchronizationFailed
+    // TODO: update the CN URL below when the CNRead.SynchronizationFailed
     // method is changed to include the URL as a parameter
     logMetacat.debug("Synchronization for the object identified by " +
-    	syncFailed.getPid().getValue() + 
-    	" failed from " +
-    	"CN URL WILL GO HERE." +
-    	" Logging the event to the Metacat EventLog as a 'syncFailed' event.");
+      syncFailed.getPid().getValue() + 
+      " failed from " +
+      "CN URL WILL GO HERE." +
+      " Logging the event to the Metacat EventLog as a 'syncFailed' event.");
     EventLog.getInstance().log("CN URL WILL GO HERE", 
-    		session.getSubject().getValue(), localId, "syncFailed");
+        session.getSubject().getValue(), localId, "syncFailed");
 
   }
 