Index: src/edu/ucsb/nceas/metacat/util/ReplicationUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/ReplicationUtil.java	(revision 6447)
+++ src/edu/ucsb/nceas/metacat/util/ReplicationUtil.java	(revision 6448)
@@ -27,7 +27,8 @@
 package edu.ucsb.nceas.metacat.util;
 
 /**
- * A suite of utility classes for the metadata replication functions
+ * A suite of utility classes for the system metadata replication functions
+ * @deprecated
  */
 public class ReplicationUtil {
 	  
Index: src/edu/ucsb/nceas/metacat/replication/ReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/replication/ReplicationHandler.java	(revision 6447)
+++ src/edu/ucsb/nceas/metacat/replication/ReplicationHandler.java	(revision 6448)
@@ -26,6 +26,33 @@
 
 package edu.ucsb.nceas.metacat.replication;
 
+import java.io.ByteArrayInputStream;
+import java.io.InputStream;
+import java.io.StringReader;
+import java.net.InetAddress;
+import java.net.URL;
+import java.net.UnknownHostException;
+import java.sql.PreparedStatement;
+import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.text.DateFormat;
+import java.text.ParseException;
+import java.util.Date;
+import java.util.Hashtable;
+import java.util.TimerTask;
+import java.util.Vector;
+
+import org.apache.log4j.Logger;
+import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.util.TypeMarshaller;
+import org.xml.sax.ContentHandler;
+import org.xml.sax.ErrorHandler;
+import org.xml.sax.InputSource;
+import org.xml.sax.SAXException;
+import org.xml.sax.XMLReader;
+import org.xml.sax.helpers.DefaultHandler;
+import org.xml.sax.helpers.XMLReaderFactory;
+
 import edu.ucsb.nceas.metacat.CatalogMessageHandler;
 import edu.ucsb.nceas.metacat.DBUtil;
 import edu.ucsb.nceas.metacat.DocInfoHandler;
@@ -43,30 +70,10 @@
 import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.HandlerException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
-import edu.ucsb.nceas.metacat.util.ReplicationUtil;
-import edu.ucsb.nceas.metacat.IdentifierManager;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
-import java.sql.*;
-import java.util.*;
-import java.util.Date;
-import java.io.*;
-import java.net.*;
-import java.text.*;
 
-import org.apache.log4j.Logger;
-import org.dataone.service.types.v1.SystemMetadata;
-import org.dataone.service.util.TypeMarshaller;
-import org.xml.sax.ContentHandler;
-import org.xml.sax.ErrorHandler;
-import org.xml.sax.InputSource;
-import org.xml.sax.SAXException;
-import org.xml.sax.XMLReader;
-import org.xml.sax.helpers.XMLReaderFactory;
-import org.xml.sax.helpers.DefaultHandler;
 
-
-
 /**
  * This class handles deltaT replication checking.  Whenever this TimerTask
  * is fired it checks each server in xml_replication for updates and updates
@@ -373,10 +380,6 @@
       logReplication.info("ReplicationHandler.handleSingleXMLDocument - Sending message: " + docinfoUrl.toString());
       String docInfoStr = ReplicationService.getURLContent(docinfoUrl);
       
-      // strip out the system metadata portion
-      String systemMetadataXML = ReplicationUtil.getSystemMetadataContent(docInfoStr);
-   	  docInfoStr = ReplicationUtil.getContentWithoutSystemMetadata(docInfoStr);
-      
       docinfoParser.parse(new InputSource(new StringReader(docInfoStr)));
       Hashtable<String, String> docinfoHash = dih.getDocInfo();
       // Get home server of the docid
@@ -440,15 +443,6 @@
           }
       }
       
-      // process system metadata
-      if (systemMetadataXML != null) {
-    	  SystemMetadata sysMeta = 
-    		  TypeMarshaller.unmarshalTypeFromStream(
-    				  SystemMetadata.class, 
-    				  new ByteArrayInputStream(systemMetadataXML.getBytes("UTF-8")));
-    	  HazelcastService.getInstance().getSystemMetadataMap().put(sysMeta.getIdentifier(), sysMeta);
-      }
-      
       logReplication.info("ReplicationHandler.handleSingleXMLDocument - Successfully replicated doc " + accNumber);
       if (tableName.equals(DocumentImpl.DOCUMENTTABLE))
       {
@@ -529,10 +523,6 @@
 
       String docInfoStr = ReplicationService.getURLContent(docinfoUrl);
       
-      // strip out the system metadata portion
-      String systemMetadataXML = ReplicationUtil.getSystemMetadataContent(docInfoStr);
-   	  docInfoStr = ReplicationUtil.getContentWithoutSystemMetadata(docInfoStr);  
-   	  
       docinfoParser.parse(new InputSource(new StringReader(docInfoStr)));
       Hashtable<String, String> docinfoHash = dih.getDocInfo();
       
@@ -589,16 +579,6 @@
             }
         }
         
-        //process guid
-     // process system metadata
-        if (systemMetadataXML != null) {
-      	  SystemMetadata sysMeta = 
-      		TypeMarshaller.unmarshalTypeFromStream(
-      				  SystemMetadata.class, 
-      				  new ByteArrayInputStream(systemMetadataXML.getBytes("UTF-8")));
-      	  HazelcastService.getInstance().getSystemMetadataMap().put(sysMeta.getIdentifier(), sysMeta);
-        }
-        
         logReplication.info("ReplicationHandler.handleSingleDataFile - Successfully to write datafile " + accNumber);
         /*MetacatReplication.replLog("wrote datafile " + accNumber + " from " +
                                     remote server);*/
Index: src/edu/ucsb/nceas/metacat/replication/ReplicationService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/replication/ReplicationService.java	(revision 6447)
+++ src/edu/ucsb/nceas/metacat/replication/ReplicationService.java	(revision 6448)
@@ -47,7 +47,6 @@
 import java.sql.SQLException;
 import java.text.SimpleDateFormat;
 import java.util.Date;
-import java.util.Enumeration;
 import java.util.Hashtable;
 import java.util.List;
 import java.util.Timer;
@@ -85,7 +84,6 @@
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
-import edu.ucsb.nceas.metacat.util.ReplicationUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
@@ -570,10 +568,7 @@
 			
 
 			String docInfoStr = ReplicationService.getURLContent(docinfourl);
-			// strip out the system metadata portion
-			String systemMetadataXML = ReplicationUtil.getSystemMetadataContent(docInfoStr);
-			docInfoStr = ReplicationUtil.getContentWithoutSystemMetadata(docInfoStr);
-		   	  
+
 			//dih is the parser for the docinfo xml format
 			DocInfoHandler dih = new DocInfoHandler();
 			XMLReader docinfoParser = ReplicationHandler.initParser(dih);
@@ -583,15 +578,6 @@
 			
 			// Get home server of this docid
 			String homeServer = (String) docinfoHash.get("home_server");
-			
-			// process system metadata
-			if (systemMetadataXML != null) {
-				SystemMetadata sysMeta = 
-					TypeMarshaller.unmarshalTypeFromStream(
-							SystemMetadata.class,
-							new ByteArrayInputStream(systemMetadataXML.getBytes("UTF-8")));
-				HazelcastService.getInstance().getSystemMetadataMap().put(sysMeta.getIdentifier(), sysMeta);
-			}
       
         	// replicate doc contents
 			String createdDate = (String) docinfoHash.get("date_created");
@@ -788,10 +774,6 @@
 
 			String docInfoStr = ReplicationService.getURLContent(docinfourl);
 			
-			// strip out the system metadata portion
-		    String systemMetadataXML = ReplicationUtil.getSystemMetadataContent(docInfoStr);
-		   	docInfoStr = ReplicationUtil.getContentWithoutSystemMetadata(docInfoStr);
-
 			//dih is the parser for the docinfo xml format
 			DocInfoHandler dih = new DocInfoHandler();
 			XMLReader docinfoParser = ReplicationHandler.initParser(dih);
@@ -850,15 +832,6 @@
 		        		}
 		            }
 		        }
-		        
-		        // process system metadata
-		        if (systemMetadataXML != null) {
-		      	  SystemMetadata sysMeta = 
-		      		TypeMarshaller.unmarshalTypeFromStream(
-		      				  SystemMetadata.class, 
-		      				  new ByteArrayInputStream(systemMetadataXML.getBytes("UTF-8")));
-		      	  HazelcastService.getInstance().getSystemMetadataMap().put(sysMeta.getIdentifier(), sysMeta);
-		        }
 
 				if (writeException != null) {
 					throw writeException;
@@ -949,20 +922,6 @@
 			DocumentImpl doc = new DocumentImpl(docid);
 			sb.append("<documentinfo><docid>").append(docid);
 			sb.append("</docid>");
-			
-			try {
-				// serialize the System Metadata as XML for docinfo
-				String guid = IdentifierManager.getInstance().getGUID(doc.getDocID(), doc.getRev());
-				SystemMetadata systemMetadata = IdentifierManager.getInstance().getSystemMetadata(guid);
-				ByteArrayOutputStream baos = new ByteArrayOutputStream();
-				TypeMarshaller.marshalTypeToOutputStream(systemMetadata, baos);
-				String systemMetadataXML = baos.toString("UTF-8");
-				sb.append("<systemMetadata>");
-				sb.append(systemMetadataXML);
-				sb.append("</systemMetadata>");
-			} catch(McdbDocNotFoundException e) {
-			  logMetacat.warn("No SystemMetadata found for: " + docid);
-			}
 			sb.append("<docname>").append(doc.getDocname());
 			sb.append("</docname><doctype>").append(doc.getDoctype());
 			sb.append("</doctype>");