Index: src/edu/ucsb/nceas/metacat/dataone/MNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6470)
+++ src/edu/ucsb/nceas/metacat/dataone/MNodeService.java	(revision 6471)
@@ -167,7 +167,7 @@
    * @throws NotImplemented
    * @throws InvalidRequest
    */
-  //@Override
+  @Override
   public Identifier delete(Session session, Identifier pid) 
     throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
     NotImplemented, InvalidRequest {
@@ -264,7 +264,7 @@
    * @throws InvalidSystemMetadata
    * @throws InvalidRequest
    */
-  //@Override
+  @Override
   public Identifier update(Session session, Identifier pid, InputStream object,
     Identifier newPid, SystemMetadata sysmeta) 
     throws InvalidToken, ServiceFailure, NotAuthorized, IdentifierNotUnique, 
@@ -409,6 +409,7 @@
    * @throws InsufficientResources
    * @throws InvalidRequest
    */
+  @Override
   public boolean replicate(Session session, SystemMetadata sysmeta, 
     NodeReference sourceNode)
     throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest,
@@ -474,6 +475,7 @@
    * @throws NotImplemented
    * @throws InvalidRequest
    */
+  @Override
   public DescribeResponse describe(Session session, Identifier pid)
     throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
     NotImplemented, InvalidRequest {
@@ -539,6 +541,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public Checksum getChecksum(Session session, Identifier pid, String algorithm)
     throws InvalidToken, ServiceFailure, NotAuthorized, NotFound,
     InvalidRequest, NotImplemented {
@@ -622,6 +625,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public ObjectList listObjects(Session session, Date startTime, Date endTime,
     ObjectFormatIdentifier objectFormatId, Boolean replicaStatus, Integer start, Integer count)
     throws NotAuthorized, InvalidRequest, NotImplemented, ServiceFailure,
@@ -649,6 +653,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public Node getCapabilities() throws NotImplemented, NotAuthorized,
       ServiceFailure, InvalidRequest {
     
@@ -823,6 +828,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public MonitorList getOperationStatistics(Session session, Date startTime,
   		Date endTime, Subject requestor, Event event, ObjectFormatIdentifier formatId) 
     throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest, 
@@ -875,6 +881,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public boolean ping() 
     throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest, 
     InsufficientResources, UnsupportedType {
@@ -914,6 +921,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public void synchronizationFailed(Session session, SynchronizationFailed syncFailed)
       throws NotImplemented, ServiceFailure, NotAuthorized, InvalidRequest {
 
@@ -943,8 +951,9 @@
   }
 
   /**
-   * Essentially a get() but with different logging behavior and different access control.
+   * Essentially a get() but with different logging behavior
    */
+	@Override
   public InputStream getReplica(Session session, Identifier pid)
     throws InvalidRequest, InvalidToken, NotAuthorized, NotImplemented,
     ServiceFailure, NotFound {
Index: src/edu/ucsb/nceas/metacat/dataone/CNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/CNodeService.java	(revision 6470)
+++ src/edu/ucsb/nceas/metacat/dataone/CNodeService.java	(revision 6471)
@@ -119,6 +119,7 @@
    * @throws InvalidRequest
    * 
    */
+  @Override
   public boolean setReplicationPolicy(Session session, Identifier pid,
     ReplicationPolicy policy) 
     throws NotImplemented, NotFound, NotAuthorized, ServiceFailure, InvalidRequest, InvalidToken {
@@ -174,6 +175,7 @@
    * @throws NotFound
    * 
    */
+  @Override
   public boolean setReplicationStatus(Session session, Identifier pid,
     NodeReference targetNode, ReplicationStatus status) 
     throws ServiceFailure, NotImplemented, InvalidToken, NotAuthorized, 
@@ -235,6 +237,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public boolean assertRelation(Session session, Identifier pidOfSubject, 
     String relationship, Identifier pidOfObject) 
     throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
@@ -299,6 +302,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public Checksum getChecksum(Session session, Identifier pid)
     throws InvalidToken, ServiceFailure, NotAuthorized, NotFound, 
     InvalidRequest, NotImplemented {
@@ -332,6 +336,7 @@
    * @throws NotFound
    * @throws NotImplemented
    */
+  @Override
   public ObjectLocationList resolve(Session session, Identifier pid)
     throws InvalidRequest, InvalidToken, ServiceFailure, NotAuthorized,
     NotFound, NotImplemented {
@@ -357,6 +362,7 @@
    * @throws InvalidRequest
    * @throws NotImplemented
    */
+  @Override
   public ObjectList search(Session session, String queryType, String query)
     throws InvalidToken, ServiceFailure, NotAuthorized, InvalidRequest,
     NotImplemented {
@@ -444,6 +450,7 @@
    * @throws InsufficientResources
    * @throws NotImplemented
    */
+  @Override
   public ObjectFormat getFormat(ObjectFormatIdentifier fmtid)
     throws InvalidRequest, ServiceFailure, NotFound, InsufficientResources,
     NotImplemented {
@@ -465,6 +472,7 @@
    * @throws NotFound
    * @throws InsufficientResources
    */
+  @Override
   public ObjectFormatList listFormats() 
     throws InvalidRequest, ServiceFailure, NotFound, InsufficientResources, 
     NotImplemented {
@@ -480,6 +488,7 @@
    * @throws ServiceFailure
    * @throws NotImplemented
    */
+  @Override
   public NodeList listNodes() 
     throws NotImplemented, ServiceFailure {
 
@@ -502,6 +511,7 @@
    * @throws InvalidRequest
    * @throws InvalidSystemMetadata
    */
+  @Override
   public Identifier registerSystemMetadata(Session session, Identifier guid,
     SystemMetadata sysmeta) 
     throws NotImplemented, NotAuthorized, ServiceFailure, InvalidRequest, 
@@ -567,6 +577,7 @@
    * @throws InvalidSystemMetadata
    * @throws NotFound
    */
+  @Override
   public boolean updateSystemMetadata(Session session, Identifier guid,
     SystemMetadata sysmeta) 
     throws NotImplemented, NotAuthorized, ServiceFailure, InvalidRequest, 
@@ -642,6 +653,7 @@
    * @throws IdentifierNotUnique
    * @throws NotImplemented
    */
+  @Override
   public boolean reserveIdentifier(Session session, Identifier pid)
   throws InvalidToken, ServiceFailure,
         NotAuthorized, IdentifierNotUnique, NotImplemented, InvalidRequest {
@@ -649,6 +661,7 @@
     throw new NotImplemented("4191", "reserveIdentifier not implemented on this node");
   }
   
+  @Override
   public Identifier generateIdentifier(Session session, String scheme, String fragment)
   throws InvalidToken, ServiceFailure,
         NotAuthorized, NotImplemented, InvalidRequest {
@@ -672,6 +685,7 @@
    * @throws NotImplemented
    */
 
+  @Override
   public boolean hasReservation(Session session, Identifier pid) 
       throws InvalidToken, ServiceFailure, NotFound, NotAuthorized, IdentifierNotUnique, 
       NotImplemented, InvalidRequest {
@@ -696,6 +710,7 @@
    * @throws NotImplemented
    * @throws InvalidRequest
    */  
+  @Override
   public Identifier setOwner(Session session, Identifier pid, Subject userId)
     throws InvalidToken, ServiceFailure, NotFound, NotAuthorized,
     NotImplemented, InvalidRequest {
@@ -752,6 +767,7 @@
    * @throws InvalidRequest
    * @throws NotFound
    */
+  @Override
   public boolean isNodeAuthorized(Session originatingNodeSession, 
     Subject targetNodeSubject, Identifier pid, Permission replicatePermission) 
     throws NotImplemented, NotAuthorized, InvalidToken, ServiceFailure, 
Index: src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java	(revision 6470)
+++ src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java	(revision 6471)
@@ -244,6 +244,7 @@
   /**
    * Listen for new Hazelcast member events
    */
+  @Override
   public void instanceCreated(InstanceEvent event) {
     logMetacat.info("New Hazelcast instance created: " +
       event.getInstance().getId() + ", " +
@@ -251,6 +252,7 @@
     
   }
 
+  @Override
   public void instanceDestroyed(InstanceEvent event) {
     logMetacat.info("Hazelcast instance removed: " +
         event.getInstance().getId() + ", " +
@@ -261,6 +263,7 @@
   /**
    * Refresh the Hazelcast service by restarting it
    */
+  @Override
   protected void doRefresh() throws ServiceException {
 
     // TODO: verify that the correct config file is still used
@@ -275,6 +278,7 @@
 	 * 
 	 * @param event - The EntryEvent that occurred
 	 */
+	@Override
 	public void entryAdded(EntryEvent<Identifier, SystemMetadata> event) {
 		// handle as update - that method will create if necessary
 		entryUpdated(event);
@@ -287,6 +291,7 @@
 	 * 
 	 * @param event - The EntryEvent that occurred
 	 */
+	@Override
 	public void entryEvicted(EntryEvent<Identifier, SystemMetadata> event) {
 	  // nothing to do, entries are still in the backing store
 	  
@@ -299,6 +304,7 @@
 	 * 
 	 * @param event - The EntryEvent that occurred
 	 */
+	@Override
 	public void entryRemoved(EntryEvent<Identifier, SystemMetadata> event) {
 	  // we don't remove objects
 	  
@@ -311,6 +317,7 @@
 	 * 
 	 * @param event - The EntryEvent that occurred
 	 */
+	@Override
 	public void entryUpdated(EntryEvent<Identifier, SystemMetadata> event) {
 	
 			logMetacat.debug("Entry added/updated to System Metadata map: " + event.getKey().getValue());
Index: src/edu/ucsb/nceas/metacat/dataone/hazelcast/ObjectPathMap.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/hazelcast/ObjectPathMap.java	(revision 6470)
+++ src/edu/ucsb/nceas/metacat/dataone/hazelcast/ObjectPathMap.java	(revision 6471)
@@ -1,7 +1,10 @@
 package edu.ucsb.nceas.metacat.dataone.hazelcast;
 
 import java.util.Collection;
+import java.util.Collections;
+import java.util.HashSet;
 import java.util.Hashtable;
+import java.util.List;
 import java.util.Map;
 import java.util.Set;
 
@@ -74,6 +77,7 @@
 	 *  document on the local filesystem.  Returns null if it can't 
 	 *  create the path. 
 	 */
+	@Override
 	public String load(String key) 
 	{
 
@@ -96,6 +100,7 @@
 	 *  mappings for all Identifiers in the parameters.  Any Identifier not found
 	 *  is not included in the resulting map.
 	 */
+	@Override
 	public Map<String, String> loadAll(Collection<String> identifiers) {
 		
 		
@@ -122,6 +127,7 @@
 	 * (Hazelcast allows avoiding pre-loading by returning NULL, so will
 	 * do this to avoid pre-loading a very long list unnecessarily)
 	 */
+	@Override
 	public Set<String> loadAllKeys() 
 	{
 		return null;
Index: src/edu/ucsb/nceas/metacat/dataone/hazelcast/SystemMetadataMap.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/hazelcast/SystemMetadataMap.java	(revision 6470)
+++ src/edu/ucsb/nceas/metacat/dataone/hazelcast/SystemMetadataMap.java	(revision 6471)
@@ -24,14 +24,17 @@
  */
 public class SystemMetadataMap implements MapStore<Identifier, SystemMetadata>, MapLoader<Identifier, SystemMetadata> {
 
+	@Override
 	public void delete(Identifier arg0) {
 		// we do not delete system metadata
 	}
 
+	@Override
 	public void deleteAll(Collection<Identifier> arg0) {
 		// we do not delete system metadata	
 	}
 
+	@Override
 	public void store(Identifier pid, SystemMetadata sm) {
 		try {
 			//System.out.println("Storing System Metadata to store: " + pid.getValue());
@@ -45,6 +48,7 @@
 		}
 	}
 
+	@Override
 	public void storeAll(Map<Identifier, SystemMetadata> map) {
 		for (Identifier key: map.keySet()) {
 			store(key, map.get(key));
@@ -51,6 +55,7 @@
 		}
 	}
 
+	@Override
 	public SystemMetadata load(Identifier pid) {
 		SystemMetadata sm = null;
 		try {
@@ -62,6 +67,7 @@
 		return sm;
 	}
 
+	@Override
 	public Map<Identifier, SystemMetadata> loadAll(Collection<Identifier> keys) {
 		Map<Identifier, SystemMetadata> map = new HashMap<Identifier, SystemMetadata>();
 		for (Identifier key: keys) {
@@ -71,6 +77,7 @@
 		return map;
 	}
 
+	@Override
 	public Set<Identifier> loadAllKeys() {
 		Set<Identifier> pids = new HashSet<Identifier>();
 		try {